### Constructor

# WPEPlatformHeadless ToplevelHeadless new

#### Declaration [src]

    WPEToplevel*
    wpe_toplevel_headless_new (
      WPEDisplayHeadless* display
    )

#### Description [src]

Create a new `WPEToplevel` on `display`.

#### Parameters

`display`

  Type: `WPEDisplayHeadless`

  A `WPEDisplayHeadless`.

  The data is owned by the caller of the function.

#### Return value

Type: `WPEToplevel`

A `WPEToplevel`.

The caller of the function takes ownership of the data, and is responsible for freeing it.